import { SessionData, ReviewStatus, ReviewKiData } from "../types";
export declare function getReviewerIds(sme: boolean, session: SessionData): string[] | undefined;
export declare function getParticipantIds(sme: boolean, session: SessionData): string[] | undefined;
export declare function isOwner(sme: boolean, currentUserId: string, { teachingOwnerId, conversionOwnerId }: Partial<SessionData>): boolean;
export declare function isReviewer(currentUserId: string, reviewerIds?: string | string[]): boolean | "" | undefined;
export declare function isParticipantInReview(currentUserId: string, participantIds?: string | string[]): boolean | "" | undefined;
export declare function isReviewRequested(reviewerIds?: string | string[]): boolean;
export declare function allReviewersAreParticipants(reviewerIds?: string | string[], participantIds?: string | string[]): boolean;
export declare function getReviewKiData(auditKiReview: {
    [key: string]: {
        status: ReviewStatus;
    };
}): {
    approved: number;
    refused: number;
    pending: number;
} | undefined;
export declare function getReviewKiStatistics(reviewKiData?: ReviewKiData): {
    inProgress: boolean;
    pending: boolean;
    partialRefuse: boolean;
    refused: boolean;
    approved: boolean;
};
